Scrum - Defect #1603

Displaying backlog gives Internal error
2021-10-14 14:00 - Mahesh Atapattu

Status: Rejected

Priority: Urgent

Category: Product backlog

Target version:

Source: Testing Blocked: Yes
Detected on version: Scrum v0.21.0 Alone: No
Description

Please check my logs :

Started GET "/projects/orelbuy—-hamedia/product_backlog" for 192.168.107.7 at 2021-10-14 19:19:15 +
0530
Processing by ProductBacklogController#index as HTML
Parameters: {"project_id"=>"orelbuy-hamedia"}
Current user: admin (id=1)
Redirected to https://redmine.orelit.com/product_backlog/2
Completed 302 Found in 22ms (ActiveRecord: 7.2ms)
Started GET "/product_backlog/2" for 192.168.107.7 at 2021-10-14 19:19:15 +0530
Processing by ProductBacklogController#show as HTML
Parameters: {"id"=>"2"}
Current user: admin (id=1)
Completed 500 Internal Server Error in 119ms (ActiveRecord: 5.1lms)

NoMethodError (undefined method "“reset_positions_in_list' for #<Issue:0x00007£fc4009bel98>):

plugins/scrum/app/controllers/product_backlog_controller.rb:208:in ‘check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:214:in “block in check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:213:in "“check_issue_position'
plugins/scrum/app/controllers/product_backlog_controller.rb:202:in "“check_issue_positions'
lib/redmine/sudo_mode.rb:61:in " sudo_mode'

Please help me to fix this issue.

Related issues:

Is duplicate of Scrum - Defect #1583: Error when loading backlog: NoMethodEtrr... Resolved
History

#1 - 2021-10-19 06:21 - Akalanka Ranundeniya

Hey,

| got the same error.

In my case following was the situation.

| created an issue and moved it to a Sprint.

In the sprint I've added sub tasks.

Then | moved the item in "Product backlog items" back to "Backlog"

To resolve the above issue :
Using the "Issue" menu, | changed the "Sprint" field to "none" of the previously edited "Product backlog item" and its all the subtasks.

#2 - 2021-10-19 07:00 - Mahesh Atapattu

Akalanka Ranundeniya wrote in #note-1:

Hey,

| got the same error.

In my case following was the situation.

| created an issue and moved it to a Sprint.

In the sprint I've added sub tasks.

Then | moved the item in "Product backlog items" back to "Backlog"
To resolve the above issue :
Using the "Issue" menu, | changed the "Sprint" field to "none" of the previously edited "Product backlog item" and its all the subtasks.

Hey, Thanks for the info !!
That means the Backlog module and sprint module not working properly, because if the issue Sprint field to none, any of the issues not detected

backlog and sprint?
Also, we cant run an agile sprint with a backlog feature with this plugin.

#3 - 2021-10-19 07:13 - Akalanka Ranundeniya

Mahesh Atapattu wrote in #note-2:

Akalanka Ranundeniya wrote in #note-1:
Hey,

| got the same error.

In my case following was the situation.

| created an issue and moved it to a Sprint.

In the sprint I've added sub tasks.

Then | moved the item in "Product backlog items" back to "Backlog"

To resolve the above issue :
Using the "Issue" menu, | changed the "Sprint" field to "none" of the previously edited "Product backlog item" and its all the subtasks.

Hey, Thanks for the info !!

That means the Backlog module and sprint module not working properly, because if the issue Sprint field to none, any of the issues not detected
backlog and sprint?
Also, we cant run an agile sprint with a backlog feature with this plugin.

As per my understanding, its an small bug, which needs few steps to resolves.

However, I'm using Scrum plugin since last year.

Only precaution you have to take is

Not sending back an issue to "Baklog" when there are subtasks added at the "Sprint" board
If you happened to do so, You have to change "Sprint" field to "none" using "Issue" menu.

Then you can assign an appropriate sprint again. -> it will appear corresponding sprint board again.

The thing is " We can not expect perfect software"....
I'm willing to support you, if you need to be familiar with "Scrum" plugin. It took me more than one month to be familiar....

#4 - 2021-10-19 07:26 - Mahesh Atapattu

Akalanka Ranundeniya wrote in #note-3:

Mahesh Atapattu wrote in #note-2:

Akalanka Ranundeniya wrote in #note-1:
Hey,

| got the same error.

In my case following was the situation.

| created an issue and moved it to a Sprint.

In the sprint I've added sub tasks.

Then | moved the item in "Product backlog items" back to "Backlog"

To resolve the above issue :

Using the "Issue" menu, | changed the "Sprint" field to "none" of the previously edited "Product backlog item" and its all the subtasks.
Hey, Thanks for the info !!
That means the Backlog module and sprint module not working properly, because if the issue Sprint field to none, any of the issues not

detected backlog and sprint?
Also, we cant run an agile sprint with a backlog feature with this plugin.

As per my understanding, its an small bug, which needs few steps to resolves.
However, I'm using Scrum plugin since last year.
Only precaution you have to take is

2024-04-18 2/3



Not sending back an issue to "Baklog" when there are subtasks added at the "Sprint" board
If you happened to do so, You have to change "Sprint" field to "none" using "Issue" menu.
Then you can assign an appropriate sprint again. -> it will appear corresponding sprint board again.

The thing is " We can not expect perfect software"....

I'm willing to support you, if you need to be familiar with "Scrum" plugin. It took me more than one month to be familiar....

Once again, Thanks for the info,
And I'll check your suggested solution.

#5 - 2022-11-28 08:26 - Piotr Grondziowski

Gem act_as_list is not installed, undefined method mentioned in error message is part of it.
Seems like SCRUM plugin can manage without this gem. It's enough to comment lines in check_issue_position method

# issue.reset_positions_in_list
# issue.save!
# issue.reload

in file scrum\app\controllers\product_backlog_controller.rb

#6 - 2023-01-23 12:51 - Emilio Gonzalez Montaha

- Status changed from New to Rejected
Duplicated by #1583.
#7 - 2023-01-23 13:03 - Emilio Gonzalez Montafa

- Is duplicate of Defect #1583: Error when loading backlog: NoMethodError (undefined method “reset_positions_in_list' for
#<Issue:0x00007fab205fd390>): added
